{ lib, config, pkgs, ... }: 
let 
 ollamaPkg = pkgs.ollama-vulkan;
in{

  config = lib.mkIf (config.syscfg.make.develop) {
    services.ollama = {
        enable = true;
        package = ollamaPkg;
        loadModels = [ ];
        syncModels = true;
    };
    environment.systemPackages = with pkgs; [ ollamaPkg ];
  };
}